#!/usr/bin/perl -w
##########################################################################
#
#   Copyright (c) 2003 Aymargeddon Development Team
#
#   This file is part of "Last days of Aymargeddon" 
#
#   Aymargeddon is free software; you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the Free
#   Software Foundation; either version 2 of the License, or (at your option)
#   any later version.
#
#   Aymargeddon is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#   more details.
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc., 675
#   Mass Ave, Cambridge, MA 02139, USA. 
#
###########################################################################
#

# generell Aymargeddon-specific functions
# but not for a single game

use strict;
use FROGS::DataBase;

package AllGames;
@AllGames::ISA = qw(DataBase);

sub new{
  my ($class) = @_;

  my $self = DataBase->new();
  #  my $myself = {
  #};

  #  %$self = (%$self, %$myself);

  bless($self,$class);
}

sub is_open{
  my ($self,$game,$terrain) = @_;

  my $cond = "GAME=$game AND HOME=-1";
  if($terrain){
    ($terrain) = $self->quote_all($terrain);
    $cond .= "AND TERRAIN=$terrain";
  }
  my $unused = $self->select_array('MAP','LOCATION','',$cond);
  my @arr = @$unused;

  return $#arr+1;
}

1;





